"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const os_1 = require("os");
const DisplayServiceLinux_1 = require("../../private/DisplayServiceLinux");
const DisplayServiceWindows_1 = require("../../private/DisplayServiceWindows");
const DisplayServiceMacOS_1 = require("../../private/DisplayServiceMacOS");
exports.default = {
    getDisplayService() {
        switch (os_1.type()) {
            case 'Darwin':
                return new DisplayServiceMacOS_1.default();
            case 'Linux':
                return new DisplayServiceLinux_1.default();
            case 'Windows_NT':
                return new DisplayServiceWindows_1.default();
            default:
                throw new Error('This operating system currently does\'nt support starting screensaver');
        }
    }
};
//# sourceMappingURL=DisplayServiceFactory.js.map